Name: ddccontrol
Version: 0.4.2
Release: alt2
%define dbreleasedate 20061014

Summary: Control your monitor by software using the DDC/CI protocol
License: GPL
Group: System/Configuration/Hardware

URL: http://ddccontrol.sourceforge.net/
Source0: http://dl.sf.net/ddccontrol/ddccontrol-%version.tar.bz2
Source1: http://dl.sf.net/ddccontrol/ddccontrol-db-%dbreleasedate.tar.bz2

Patch: ddccontrol-0.3-fixasneeded.patch

# Automatically added by buildreq on Mon Oct 23 2006
BuildRequires: fontconfig gcc-c++ imake libavahi-glib libdbus-glib libgnome-panel-devel libXt-devel pciutils-devel-static perl-XML-Parser xorg-cf-files

Requires: lib%{name} = %version-%release

%description
DDCcontrol is a program used to control monitor parameters, like brightness
and contrast, by software, i.e. without using the OSD (On Screen Display)
and the buttons in front of the monitor.

%package -n lib%{name}
Summary: Libddccontrol library 
Group: Development/Other

%description -n lib%{name}
DDCcontrol is a program running on Linux, used to control monitor parameters,
like brightness and contrast, by software, i.e. without using the OSD
and the buttons in front of the monitor.


%package -n lib%{name}-devel
Summary: Libddccontrol library headers and development libraries
Group: Development/Other
Requires: lib%{name} = %version-%release

%description -n lib%{name}-devel
libddccontrol devel files

%package applet
Summary: GNOME applet for ddccontrol
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description applet
GNOME applet for ddccontrol.

%prep
%setup -q -a 1
%patch -p1

%build
pushd ddccontrol-db-%dbreleasedate
%configure
popd

# crude hack to satisfy dumb "Gentoo sanity check" :)
#subst 's/"1.5.20"/"1.5.22"/' configure

%configure
# safety belts :)
echo "#define HAVE_BUGGY_I2C_DEV 1" >>src/config.h
%make_build

%install
pushd ddccontrol-db-%dbreleasedate
%make_install install DESTDIR=%buildroot
popd
%make_install install DESTDIR=%buildroot

%find_lang %name
%find_lang --append --output=%name.lang %name-db

%post
%update_menus

%postun
%clean_menus

%post -n lib%{name} -p %post_ldconfig
%postun -n lib%{name} -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS NEWS doc/html
%_bindir/*
%_datadir/ddccontrol-db
%_datadir/applications/*
%_datadir/pixmaps/*
%_man1dir/*

%files -n lib%{name}
%_libdir/*.so.*
%exclude %_libdir/*.a

%files -n lib%{name}-devel
%_libdir/*.so
%_includedir/*

%files applet
%dir %_libdir/ddccontrol
%_libdir/ddccontrol/ddcc-applet
%_datadir/ddccontrol
%_libdir/bonobo/servers/*

%changelog
* Mon Oct 23 2006 Victor Forsyuk <force@altlinux.org> 0.4.2-alt2
- Update monitor database.

* Wed Aug 30 2006 Victor Forsyuk <force@altlinux.ru> 0.4.2-alt1
- 0.4.2
- Add ddccontrol-applet package.

* Mon Mar 20 2006 Victor Forsyuk <force@altlinux.ru> 0.4.1-alt1
- 0.4.1
- Fixed build with linker flag --as-needed.
- Update BuildRequires.

* Tue Jan 17 2006 Victor Forsyuk <force@altlinux.ru> 0.3-alt2
- Fix spec to build in current Sisyphus environment.

* Thu Nov 17 2005 Victor Forsyuk <force@altlinux.ru> 0.3-alt1
- 0.3
- Update BuildRequires.

* Mon Aug 15 2005 Victor Forsyuk <force@altlinux.ru> 0.2-alt1
- 0.2

* Tue Jul 19 2005 Victor Forsyuk <force@altlinux.ru> 0.1.3-alt1
- 0.1.3

* Wed Jun 08 2005 Victor Forsyuk <force@altlinux.ru> 0.1.1-alt1
- Initial build.
